zram01 / zram02 / zram03 in kernel_misc from ubuntu_ltp failed on D-Oracle

Bug #1852976 reported by Po-Hsu Lin on 2019-11-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Po-Hsu Lin
linux-aws (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
linux-signed-oracle (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

It looks like the failures in zram01 are causing zram02 and zram03 to fail as well.

Seems that this is broken since commit 7cfac804 (zram: Rewrite shell tests into new API)

 tag=zram01 stime=1573887406 dur=300 exit=signaled stat=9 core=no cu=23757 cs=7590
 startup='Sat Nov 16 06:56:46 2019'
 zram01 1 TINFO: timeout per run is 0h 5m 0s
 zram01 1 TINFO: create '4' zram device(s)
 zram01 1 TPASS: test succeeded
 zram01 1 TCONF: The device attribute max_comp_streams was introduced in kernel 3.15 and deprecated in 4.7
 zram01 2 TINFO: test that we can set compression algorithm
 zram01 2 TINFO: supported algs: [lzo] lz4 lz4hc 842 zstd
 zram01 2 TINFO: /sys/block/zram0/comp_algorithm = 'lzo' (1/4)
 zram01 2 TINFO: /sys/block/zram1/comp_algorithm = 'lzo' (2/4)
 zram01 2 TINFO: /sys/block/zram2/comp_algorithm = 'lzo' (3/4)
 zram01 2 TINFO: /sys/block/zram3/comp_algorithm = 'lzo' (4/4)
 zram01 2 TPASS: test succeeded
 zram01 3 TINFO: set disk size to zram device(s)
 zram01 3 TINFO: /sys/block/zram0/disksize = '26214400' (1/4)
 zram01 3 TINFO: /sys/block/zram1/disksize = '26214400' (2/4)
 zram01 3 TINFO: /sys/block/zram2/disksize = '26214400' (3/4)
 zram01 3 TINFO: /sys/block/zram3/disksize = '402653184' (4/4)
 zram01 3 TPASS: test succeeded
 zram01 4 TINFO: set memory limit to zram device(s)
 zram01 4 TINFO: /sys/block/zram0/mem_limit = '25M' (1/4)
 zram01 4 TINFO: /sys/block/zram1/mem_limit = '25M' (2/4)
 zram01 4 TINFO: /sys/block/zram2/mem_limit = '25M' (3/4)
 zram01 4 TINFO: /sys/block/zram3/mem_limit = '384M' (4/4)
 zram01 4 TPASS: test succeeded
 zram01 5 TINFO: make ext3 filesystem on /dev/zram0
 zram01 5 TINFO: make ext4 filesystem on /dev/zram1
 zram01 5 TINFO: make xfs filesystem on /dev/zram2
 zram01 5 TINFO: make btrfs filesystem on /dev/zram3
 zram01 5 TPASS: zram_makefs succeeded
 zram01 6 TINFO: mount /dev/zram0
 zram01 6 TINFO: mount /dev/zram1
 zram01 6 TINFO: mount /dev/zram2
 zram01 6 TINFO: mount /dev/zram3
 zram01 6 TPASS: mount of zram device(s) succeeded
 zram01 7 TINFO: filling zram0 (it can take long time)
 zram01 7 TPASS: zram0 was filled with '20628' KB
 zram01 7 TPASS: compression ratio: 732.90:1
 zram01 7 TINFO: filling zram1 (it can take long time)
 zram01 7 TPASS: zram1 was filled with '20140' KB
 zram01 7 TPASS: compression ratio: 5151.97:1
 zram01 7 TINFO: filling zram2 (it can take long time)
 zram01 7 TPASS: zram2 was filled with '17756' KB
 zram01 7 TPASS: compression ratio: 285.26:1
 zram01 7 TINFO: filling zram3 (it can take long time)
 zram01 1 TBROK: test killed, timeout! If you are running on slow machine, try exporting LTP_TIMEOUT_MUL > 1

 tag=zram02 stime=1573887712 dur=0 exit=exited stat=1 core=no cu=2 cs=0
 startup='Sat Nov 16 07:01:52 2019'
 zram02 1 TINFO: timeout per run is 0h 5m 0s
 zram02 1 TINFO: create '1' zram device(s)
 zram02 1 TFAIL: unexpected num of devices: 4
 /opt/ltp/testcases/bin/zram02.sh: 27: echo: echo: I/O error
 zram02 1 TINFO: AppArmor enabled, this may affect test results
 zram02 1 TINFO: it can be disabled with TST_DISABLE_APPARMOR=1 (requires super/root)
 zram02 1 TINFO: loaded AppArmor profiles: none

 Summary:
 passed 0
 failed 1
 skipped 0
 warnings 0

 tag=zram03 stime=1573887718 dur=0 exit=exited stat=2 core=no cu=0 cs=0
 startup='Sat Nov 16 07:01:58 2019'
 zram03 0 TINFO : create a zram device with 536870912 bytes in size.
 zram03 1 TBROK : safe_file_ops.c:301: Failed to close FILE '/sys/block/zram0/disksize' at zram03.c:87: errno=EBUSY(16): Device or resource busy
 zram03 2 TBROK : safe_file_ops.c:301: Remaining cases broken

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: linux-image-5.0.0-1005-oracle 5.0.0-1005.9
ProcVersionSignature: User Name 5.0.0-1005.9-oracle 5.0.21
Uname: Linux 5.0.0-1005-oracle x86_64
ApportVersion: 2.20.10-0ubuntu27.1
Architecture: amd64
Date: Mon Nov 18 07:50:37 2019
SourcePackage: linux-signed-oracle
UpgradeStatus: No upgrade log present (probably fresh install)

Po-Hsu Lin (cypressyew) wrote :
Po-Hsu Lin (cypressyew) on 2019-11-18
tags: added: sru-20191111 ubuntu-ltp
tags: added: 5.0
Po-Hsu Lin (cypressyew) wrote :

This issue can be found on AWS Eoan 5.3 as well.

It looks like bumping the timeout to 15 min (LTP_TIMEOUT_MUL=3) can solve this issue.

Po-Hsu Lin (cypressyew) wrote :

On AWS Eoan, it's not failing across all the instances, just:
3/3 ARM64 instances:
  * a1.2xlarge
  * a1.large
  * a1.medium

6/15 AMD64 instances:
  * c3.xlarge
  * m3.large
  * m4.large
  * r3.large
  * t3a.medium
  * x1e.xlarge

Po-Hsu Lin (cypressyew) on 2019-11-18
tags: added: 5.3 aws
Po-Hsu Lin (cypressyew) on 2019-11-19
Changed in ubuntu-kernel-tests:
assignee: nobody → Po-Hsu Lin (cypressyew)
Po-Hsu Lin (cypressyew) wrote :

Tested on Oracle (Disco) / AWS (Eoan)

LTP_TIMEOUT_MUL=3 works, I will apply the patch for this.

Changed in ubuntu-kernel-tests:
status: New → In Progress
Po-Hsu Lin (cypressyew) wrote :
Changed in ubuntu-kernel-tests:
status: In Progress → Fix Released
Changed in linux-signed-oracle (Ubuntu):
status: New → Invalid
Changed in linux-signed-oracle (Ubuntu Disco):
status: New → Invalid
Sean Feole (sfeole) on 2020-01-17
tags: added: sru-20200106
tags: added: bionic
Po-Hsu Lin (cypressyew) wrote :

Hi Sean,
I found the ACT repo on AWS is out-dated, if you found this issue on it please give it another try.
Thanks.

Steve Langasek (vorlon) on 2020-07-02
Changed in linux-aws (Ubuntu Disco):
status: New → Won't Fix

Spotted on Focal/azure : 5.4.0-1029.29 : amd64

tags: added: focal sru-20200921

failed on Bionic/azure-4.15 : 4.15.0-1097.107 : amd64

tags: added: 4.15 azure
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers